"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "PlugPagEvent", {
  enumerable: true,
  get: function () {
    return _types.PlugPagEvent;
  }
});
Object.defineProperty(exports, "PlugPagResult", {
  enumerable: true,
  get: function () {
    return _types.PlugPagResult;
  }
});
exports.resolveTransactionEvent = exports.readRfidCardInSunmi = exports.printEstablishmentReceipt = exports.printClientReceipt = exports.pay = exports.initPlugpag = exports.destroyPlugpag = exports.default = exports.customDialogClientViaPrinter = exports.cancelRfidCardSearchInSunmi = exports.api = exports.abortPayment = exports.Sunmi = exports.Plugpag = void 0;
var _reactNative = require("react-native");
var _types = require("./@types");
var _errorMessages = require("./errorMessages");
if (_reactNative.Platform.OS === 'ios') throw new Error(_errorMessages.IOS_ERROR);
const api = exports.api = _reactNative.NativeModules.Plugpag ? _reactNative.NativeModules.Plugpag : new Proxy({}, {
  get() {
    throw new Error(_errorMessages.LINKING_ERROR);
  }
});
const readRfidCardInSunmi = () => api.readRfidCardInSunmi();
exports.readRfidCardInSunmi = readRfidCardInSunmi;
const cancelRfidCardSearchInSunmi = () => api.cancelRfidCardSearchInSunmi();
exports.cancelRfidCardSearchInSunmi = cancelRfidCardSearchInSunmi;
const initPlugpag = activationCode => api.initPlugpag(activationCode);
exports.initPlugpag = initPlugpag;
const destroyPlugpag = () => api.destroyPlugpag();
exports.destroyPlugpag = destroyPlugpag;
const pay = (rechargeValue, transactionType) => api.pay(rechargeValue, transactionType);
exports.pay = pay;
const abortPayment = () => api.abortPayment();
exports.abortPayment = abortPayment;
const printEstablishmentReceipt = () => api.printEstablishmentReceipt();
exports.printEstablishmentReceipt = printEstablishmentReceipt;
const printClientReceipt = () => api.printClientReceipt();
exports.printClientReceipt = printClientReceipt;
const customDialogClientViaPrinter = color => api.customDialogClientViaPrinter(color);
exports.customDialogClientViaPrinter = customDialogClientViaPrinter;
const resolveTransactionEvent = data => api.resolveTransactionEvent(data);
exports.resolveTransactionEvent = resolveTransactionEvent;
const Sunmi = exports.Sunmi = {
  readRfidCardInSunmi,
  cancelRfidCardSearchInSunmi
};
const Plugpag = exports.Plugpag = {
  initPlugpag,
  destroyPlugpag,
  abortPayment,
  printEstablishmentReceipt,
  printClientReceipt,
  customDialogClientViaPrinter,
  pay,
  resolveTransactionEvent
};
var _default = exports.default = {
  Sunmi,
  readRfidCardInSunmi,
  cancelRfidCardSearchInSunmi,
  Plugpag,
  initPlugpag,
  destroyPlugpag,
  abortPayment,
  printEstablishmentReceipt,
  printClientReceipt,
  customDialogClientViaPrinter,
  pay,
  PlugPagEvent: _types.PlugPagEvent,
  PlugPagResult: _types.PlugPagResult
};
//# sourceMappingURL=index.js.map