import { NativeModules, Platform } from 'react-native';
import { PlugPagEvent, PlugPagResult } from './@types';
import { IOS_ERROR, LINKING_ERROR } from './errorMessages';
if (Platform.OS === 'ios') throw new Error(IOS_ERROR);
export const api = NativeModules.Plugpag ? NativeModules.Plugpag : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const readRfidCardInSunmi = () => api.readRfidCardInSunmi();
const cancelRfidCardSearchInSunmi = () => api.cancelRfidCardSearchInSunmi();
const initPlugpag = activationCode => api.initPlugpag(activationCode);
const destroyPlugpag = () => api.destroyPlugpag();
const pay = (rechargeValue, transactionType) => api.pay(rechargeValue, transactionType);
const abortPayment = () => api.abortPayment();
const printEstablishmentReceipt = () => api.printEstablishmentReceipt();
const printClientReceipt = () => api.printClientReceipt();
const customDialogClientViaPrinter = color => api.customDialogClientViaPrinter(color);
const resolveTransactionEvent = data => api.resolveTransactionEvent(data);
const Sunmi = {
  readRfidCardInSunmi,
  cancelRfidCardSearchInSunmi
};
const Plugpag = {
  initPlugpag,
  destroyPlugpag,
  abortPayment,
  printEstablishmentReceipt,
  printClientReceipt,
  customDialogClientViaPrinter,
  pay,
  resolveTransactionEvent
};
export { Sunmi, readRfidCardInSunmi, cancelRfidCardSearchInSunmi, Plugpag, initPlugpag, destroyPlugpag, abortPayment, printEstablishmentReceipt, printClientReceipt, customDialogClientViaPrinter, pay, resolveTransactionEvent, PlugPagEvent, PlugPagResult };
export default {
  Sunmi,
  readRfidCardInSunmi,
  cancelRfidCardSearchInSunmi,
  Plugpag,
  initPlugpag,
  destroyPlugpag,
  abortPayment,
  printEstablishmentReceipt,
  printClientReceipt,
  customDialogClientViaPrinter,
  pay,
  PlugPagEvent,
  PlugPagResult
};
//# sourceMappingURL=index.js.map