import { type API, type SunmiAPI, type PlugpagAPI, type TransactionTypes, type PlugPagEventData, type PlugPagTransactionResult, PlugPagEvent, PlugPagResult } from './@types';
export declare const api: API;
declare const readRfidCardInSunmi: () => Promise<string>;
declare const cancelRfidCardSearchInSunmi: () => void;
declare const initPlugpag: (activationCode: string) => void;
declare const destroyPlugpag: () => void;
declare const pay: (rechargeValue: string, transactionType: TransactionTypes) => Promise<PlugPagTransactionResult>;
declare const abortPayment: () => void;
declare const printEstablishmentReceipt: () => void;
declare const printClientReceipt: () => void;
declare const customDialogClientViaPrinter: (color: string) => void;
declare const resolveTransactionEvent: (data: PlugPagEventData) => string;
declare const Sunmi: SunmiAPI;
declare const Plugpag: PlugpagAPI;
export { Sunmi, readRfidCardInSunmi, cancelRfidCardSearchInSunmi, Plugpag, initPlugpag, destroyPlugpag, abortPayment, printEstablishmentReceipt, printClientReceipt, customDialogClientViaPrinter, pay, resolveTransactionEvent, PlugPagEvent, PlugPagResult, };
declare const _default: {
    Sunmi: SunmiAPI;
    readRfidCardInSunmi: () => Promise<string>;
    cancelRfidCardSearchInSunmi: () => void;
    Plugpag: PlugpagAPI;
    initPlugpag: (activationCode: string) => void;
    destroyPlugpag: () => void;
    abortPayment: () => void;
    printEstablishmentReceipt: () => void;
    printClientReceipt: () => void;
    customDialogClientViaPrinter: (color: string) => void;
    pay: (rechargeValue: string, transactionType: TransactionTypes) => Promise<PlugPagTransactionResult>;
    PlugPagEvent: typeof PlugPagEvent;
    PlugPagResult: typeof PlugPagResult;
};
export default _default;
export type { PlugPagEventData, PlugPagTransactionResult, TransactionTypes };
//# sourceMappingURL=index.d.ts.map